//
//  MOEntry.h
//  Pediabase
//
//  Created by Conor Dearden on 26/4/07.
//  Copyright 2007 Chiguire LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface MOEntry : NSManagedObject {
	//NSImage *statusImage;
}

@property (readonly) BOOL hasCoverImage;
@property (assign, nonatomic) BOOL imageUpdated;
@property (nonatomic, readonly) NSString *subtitle;
//@property (nonatomic, retain) NSNumber *uid;

// dynamic Core Data
@property (nonatomic, retain) NSNumber *uploaded, *uid;
@property (nonatomic, retain) NSNumber *dogTag;
@property (nonatomic, retain) NSString *title;



+ (MOEntry *)entryWithUID:(NSNumber *)aUID;


//- (void)addObjectsFromCreditsDict:(NSDictionary *)creditsDict;

- (void)addString:(NSString *)additionalString forKey:(NSString *)aKey;


- (NSImage *)statusImage; //Image to display in table
- (NSString *)statusSort;  //Sorting

- (NSMutableDictionary *)mutableDictionary;
- (NSMutableDictionary *)mutableDictionaryOfAttributes;
- (NSMutableDictionary *)oldMutableDictionary;
- (void)addRelationshipKey:(NSString *)nextRelationshipKey toDictionary:(NSMutableDictionary *)newDictionary;

// Avoid threaded issues with Core Data
- (void)addTrackSetToDictionary:(NSMutableDictionary *)newDictionary;
- (void)addCreditSetToDictionary:(NSMutableDictionary *)newDictionary;
- (void)addAttributtesToDictionary:(NSMutableDictionary *)newDictionary;


//- (NSImage *)coverImage;
- (NSString *)amazonURL;
- (NSString *)onlineImageURL;

//- (void)removeAllFields;
- (void)setFromDictionary:(NSDictionary *)aDictionary;
- (void)mirrorFromDictionary:(NSDictionary *)aDictionary;
//+ (MOEntry *)entryObjectFromDictionary:(NSDictionary *)aDictionary;

- (void)calculateIfHasMovieLink;
- (NSArray *)movieLinks;

- (void)setEdited;
- (void)setCoverImage:(NSImage *)anImage;

- (NSImage *)coverImage;

- (void)addToLastUsedSetDate:(NSDate *)value;

// Used by plug-ins, slower than using the delegate directly 
- (NSString *)coverImagePath;
- (void)addLinkWithAttributtes:(NSDictionary *)attributes;

- (BOOL)isInLibrary;
- (NSString *)getStatusStringAndType:(NSInteger *)statusType;


/*
// Used by EYETV UUID storage only so far
- (NSMutableDictionary *)extraDataDictionary;
- (void)setObject:(id)anObject forExtraDataDictionaryKey:(NSString *)aKey;
*/

//- (void)prepForDeletion;

//- (void)clearAllFields;
@end


//@interface MOEntry (DynamicAccessors)
//- (void)addCreditsSetObject:(NSManagedObject *)value;
//@end
