

#import <Cocoa/Cocoa.h>

@class MyPluginManager, MyControllerShared, MyWebView, MyPediaPlugin;

@interface MyInternetSearchPanel : NSPanel {
@private
    IBOutlet NSTextField *statusTextField;
    IBOutlet NSSearchField *keywordSearchField;
    IBOutlet MyControllerShared *controller;
    IBOutlet NSProgressIndicator *theBusyAnimation;
	IBOutlet MyPluginManager *pluginManager;

    //IBOutlet NSPopUpButton *searchLocale;
	IBOutlet NSMenu *searchLocaleMenu;

	IBOutlet NSPopUpButton *sortPopUp;
	IBOutlet NSPopUpButton *typePopUp;	
	IBOutlet NSPopUpButton *limitPopUp;
	
	IBOutlet NSBox *limitBox;
	IBOutlet NSBox *typeBox;
	IBOutlet NSBox *sortBox;

	NSString* url_string;
	NSEnumerator *searchSitesEnumerator;
	NSString *lastSearchSiteName;
	
	BOOL multipleAdd, iSightIsOpen;
	//BOOL wishlist;
	//int currentLimit;
	MyPediaPlugin *selectedSearchSite;
	
	NSString *selectedPluginTitle;
    NSString *previousSearchSite;
}

@property (assign) BOOL multipleAdd;
//@property (readonly) NSPopUpButton *typePopUp;
@property (readonly) NSString *selectedPluginTitle;
@property (nonatomic,retain) NSString *lastSearchSiteName;
@property (nonatomic,readonly) NSMenu *searchLocaleMenu;


- (IBAction)fetchUrl:(id)sender;
- (IBAction)showPanel:(id)sender;
- (IBAction)closePanelAndAddManually:(id)sender;
- (void)yesResults:(NSString *)message;
- (void)searchReturnedNumberOfResults:(NSInteger)numberOfResults sender:(id)sender;
- (void)search;
- (NSString *)searchString;

- (IBAction)showPanelAndSearchFor:(NSString *)searchTerm site:(NSString *)searchSite;

- (IBAction)PopUpChanging:(id)sender;
- (IBAction)openiSight:(id)sender;
- (void)setStringValue:(NSString *)aString;

- (void)loadSearchLocales;
- (IBAction)changeSearchLocale:(id)sender;
- (void)setSelectedSearchLocaleTo:(NSString *)aPluginName;
- (void)removeSearchLocaleWithTitle:(NSString *)aTitle;

@end
