/* MyTableView */

#import <Cocoa/Cocoa.h>
@class MyControllerShared;

@interface MyTableView : NSTableView <NSTableViewDelegate>
{
	IBOutlet NSMenu *tableHeaderMenu;

	MyControllerShared *controller;
	
	NSMutableString *stringToSend;
	
	NSTableColumn * lastColumn, *specialHighlightColumn;  // track last column chosen
	NSManagedObject *editedEntry;

	BOOL sortDescending; //, optionPresseedDuringDrag;
    BOOL inTextDidEndEditing;
	NSInteger copyType;
	//double selectionTime;
	NSString *columnEdited;
	//NSColor *sStripeColor;
	CGFloat fontSize;
}

@property (nonatomic, retain) NSIndexSet *draggedRowIndex;

//- (void)drawStripesInRect:(NSRect)clipRect;
- (void)sendToTable:(NSTimer *)timer; 
//- (void)mySetLastColumn:(NSTableColumn *)theColumn;
//- (double)selectionTime;

- (void)highlightTableHeadersWithDescriptors:(NSArray *)aSortDescriptorsArray;

- (IBAction)copy:(id)sender;

- (CGFloat)fontSize;
- (void)setLargeSize:(NSInteger)aSize;

- (IBAction)duplicate:(id)sender;


@end
